/*<html><pre>*/
#ifndef	V_WAVOUT_H
#define V_WAVOUT_H

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	/*	Creates 'file' object corresponding to wave output */
	vhandle_t	V_GLOBAL wavePlaybackOpen(u32_t num_channels,
		u32_t sampling_frequency,u32_t bits_per_sample);
	/*	ioctl()'s wrappers */
	vboolean	V_GLOBAL	wavePlaybackPause(vhandle_t dev);
	vboolean	V_GLOBAL	wavePlaybackResume(vhandle_t dev);
	vboolean	V_GLOBAL	wavePlaybackReset(vhandle_t dev);
	/* passing MAXLONG disables timeout */
	vboolean	V_GLOBAL	wavePlaybackWait(vhandle_t dev,
		u32_t milliseconds);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_WAVOUT_H */
/*</pre></html>*/
/*EOF*/
